# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMultiPart Class Reference

http://www.netscape.com/assist/net_sites/pushpull.html More...

`#include <kmultipart.h>`

Inheritance diagram for KMultiPart:

[legend]
Collaboration diagram for KMultiPart:

[legend]
List of all members.

## Public Member Functions

| KMultiPart (QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const QStringList &)
virtual bool | openFile ()
virtual bool | openURL (const KURL &url)
virtual bool | closeURL ()

## Static Public Member Functions

static KAboutData * | createAboutData ()

## Protected Member Functions

virtual void | guiActivateEvent (KParts::GUIActivateEvent *e)
void | setPart (const QString &mimeType)
void | startOfData ()
void | sendData (const QByteArray &line)
void | endOfData ()

## Detailed Description

http://www.netscape.com/assist/net_sites/pushpull.html

Definition at line 39 of file kmultipart.h.

The documentation for this class was generated from the following files:

- kmultipart.h
- kmultipart.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003